module Main where

import qualified MED
import Amiga
import Human

import System.Environment(getArgs)
import Control.Exception(bracket)

main :: IO ()
main = do
  args <- getArgs
  mapM_ printMED args

printMED :: String -> IO ()
printMED file =
  bracket (loadMEM file) freeMEM $ \m ->
    putStr . human =<< MED.peek m
